summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Goodliffe <daniel.goodliffe@pressassociation.com>2016-10-31 16:04:50 +0000
committerDan Goodliffe <daniel.goodliffe@pressassociation.com>2016-10-31 16:12:06 +0000
commit249cd18ca00b7d50e3020eaa610d8585b1887e3b (patch)
tree8d5dda29d6dad261e32c2bc89017cf7508eb19a2
parentNew virual package for virtualization hosts (diff)
downloadportage-249cd18ca00b7d50e3020eaa610d8585b1887e3b.tar.bz2
portage-249cd18ca00b7d50e3020eaa610d8585b1887e3b.tar.xz
portage-249cd18ca00b7d50e3020eaa610d8585b1887e3b.zip
Replace my Ice 3.6 ebuilds with ones from Gentoo but keeping the c++1x patches
-rw-r--r--dev-libs/Ice/Ice-3.6.2.ebuild281
-rw-r--r--dev-libs/Ice/Ice-3.6.3-r1.ebuild282
-rw-r--r--dev-libs/Ice/Ice-3.6.3-r2.ebuild349
-rw-r--r--dev-libs/Ice/Manifest13
-rw-r--r--dev-libs/Ice/files/Ice-3.6.3-csharp.patch50
-rw-r--r--dev-libs/Ice/files/Ice-3.6.3-dont-append-c++11-to-libs.patch (renamed from dev-libs/Ice/files/dont-append-c++11-to-libs-3.6.3.patch)4
-rw-r--r--dev-libs/Ice/files/Ice-3.6.3-dont-separate-c++11-libs.patch (renamed from dev-libs/Ice/files/dont-separate-c++11-libs.patch)4
-rw-r--r--dev-libs/Ice/files/Ice-3.6.3-no-arch-opts.patch50
-rw-r--r--dev-libs/Ice/files/dont-append-32-to-bins.patch20
-rw-r--r--dev-libs/Ice/files/dont-append-c++11-to-libs.patch22
10 files changed, 459 insertions, 616 deletions
diff --git a/dev-libs/Ice/Ice-3.6.2.ebuild b/dev-libs/Ice/Ice-3.6.2.ebuild
deleted file mode 100644
index 2c7a449..0000000
--- a/dev-libs/Ice/Ice-3.6.2.ebuild
+++ /dev/null
@@ -1,281 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.5.1.ebuild,v 1.11 2015/04/08 17:51:56 mgorny Exp $
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 pypy )
-RUBY_OPTIONAL="yes"
-USE_RUBY="ruby19"
-
-inherit toolchain-funcs versionator python-r1 mono-env ruby-ng db-use
-
-DESCRIPTION="ICE middleware C++ library and generator tools"
-HOMEPAGE="http://www.zeroc.com/"
-SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 x86 ~x86-linux ~x64-macos"
-IUSE="doc examples +ncurses mono python ruby test debug c++0x"
-
-RDEPEND=">=dev-libs/expat-2.0.1
- >=app-arch/bzip2-1.0.5
- >=dev-libs/openssl-0.9.8o:0
- || (
- sys-libs/db:5.3[cxx]
- sys-libs/db:5.1[cxx]
- sys-libs/db:4.8[cxx]
- )
- ~dev-cpp/libmcpp-2.7.2
- python? ( ${PYTHON_DEPS} )
- ruby? ( $(ruby_implementation_depend ruby19) )
- mono? ( dev-lang/mono )
- !dev-python/IcePy
- !dev-ruby/IceRuby"
-DEPEND="${RDEPEND}
- ncurses? ( sys-libs/ncurses sys-libs/readline )
- test? ( ${PYTHON_DEPS} )"
-
-# Maintainer notes:
-# - yes, we have to do the trickery with the move for the python functions
-# since the build and test frameworks deduce various settings from the path
-# and they can't be tricked by a symlink. And we also need
-# SUPPORT_PYTHON_ABIS=1 otherwise we can't get pyc/pyo anymore the sane way.
-# TODO: php bindings
-# TODO: java bindings
-
-#overwrite ruby-ng.eclass default
-S="${P,,}"
-S="${WORKDIR}/${S/_/-}"
-
-pkg_setup() {
- # prevent ruby-ng.eclass from messing with src_unpack
- :;
-}
-
-src_unpack() {
- # prevent ruby-ng.eclass from messing with src_unpack
- default
- cd ${S}
- epatch ${FILESDIR}/dont-separate-c++11-libs.patch
- epatch ${FILESDIR}/dont-append-c++11-to-libs.patch
-}
-
-src_prepare() {
- sed -i \
- -e 's|\(install_docdir[[:space:]]*\):=|\1?=|' \
- -e 's|\(install_configdir[[:space:]]*\):=|\1?=|' \
- cpp/config/Make.rules || die "sed failed"
-
- sed -i \
- -e 's|\(install_pythondir[[:space:]]*\):=|\1?=|' \
- -e 's|\(install_rubydir[[:space:]]*\):=|\1?=|' \
- -e 's|\(install_libdir[[:space:]]*\):=|\1?=|' \
- {python,ruby}/config/Make.rules || die "sed failed"
-
- sed -i \
- -e 's|-O2 ||g' \
- -e 's|-Werror ||g' \
- cpp/config/Make.rules.Linux || die "sed failed"
-
- sed -i \
- -e 's|install-common||' \
- -e 's|demo||' \
- {cpp,csharp,php,python,ruby}/Makefile || die "sed failed"
-
- sed -i \
- -e 's|-f -root|-f -gacdir $(GAC_DIR) -root|' \
- csharp/config/Make.rules.cs || die "sed failed"
-
- # skip mono tests, bug #498484
- sed -i \
- -e 's|\(SUBDIRS.*\) test|\1|' \
- csharp/Makefile || die "sed failed"
-
- if ! use test ; then
- sed -i \
- -e 's|\(SUBDIRS.*\) test|\1|' \
- {cpp,php,python,ruby}/Makefile || die "sed failed"
- fi
-}
-
-suitable_db_version() {
- local tested_slots="5.3 5.1 4.8"
- for ver in ${tested_slots}; do
- if [[ -n $(db_findver sys-libs/db:${ver}) ]]; then
- echo ${ver}
- return 0
- fi
- done
- die "No suitable BerkDB versions found, aborting"
-}
-
-src_configure() {
- MAKE_RULES="prefix=\"${ED}/usr\"
- install_docdir=\"${ED}/usr/share/doc/${PF}\"
- install_configdir=\"${ED}/usr/share/Ice-${PV}/config\"
- install_mandir=\"${ED}/usr/share/man\"
- embedded_runpath_prefix=\"${EPREFIX}/usr\"
- LP64=yes"
-
- use ncurses && MAKE_RULES="${MAKE_RULES} USE_READLINE=yes" || MAKE_RULES="${MAKE_RULES} USE_READLINE=no"
- use debug && MAKE_RULES="${MAKE_RULES} OPTIMIZE=no" || MAKE_RULES="${MAKE_RULES} OPTIMIZE=yes"
- use c++0x && MAKE_RULES="${MAKE_RULES} CPP11=yes" || MAKE_RULES="${MAKE_RULES} CPP11=no"
-
- local BERKDB_VERSION="$(suitable_db_version)"
- MAKE_RULES="${MAKE_RULES} DB_FLAGS=-I$(db_includedir ${BERKDB_VERSION})"
- sed -i \
- -e "s|g++|$(tc-getCXX)|" \
- -e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
- -e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
- -e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
- -e "s|\(DB_LIBS[[:space:]]*=\) \-ldb_cxx|\1 -ldb_cxx-$(db_findver sys-libs/db:${BERKDB_VERSION})|" \
- cpp/config/Make.rules{,.Linux} python/config/Make.rules || die "sed failed"
-
- if use python ; then
- S=${S}/python python_copy_sources
-
- # make a place for the symlink
- rm -r python/python || die
- fi
-
- if use ruby ; then
- SITERUBY="$(ruby19 -r rbconfig -e 'print Config::CONFIG["sitedir"]')"
- MAKE_RULES_RB="install_rubydir=\"${ED}/${SITERUBY}\"
- install_libdir=\"${ED}/${SITERUBY}\""
-
- # make it use ruby19 only
- sed -i \
- -e 's|RUBY = ruby|\019|' \
- ruby/config/Make.rules || die "sed failed"
- fi
-
- MAKE_RULES_CS="GACINSTALL=yes GAC_ROOT=\"${ED}/usr/$(get_libdir)\" GAC_DIR=${EPREFIX}/usr/$(get_libdir)"
-
- use test && python_export_best
-}
-
-src_compile() {
- # Do not remove this export or build will break!
- tc-export CXX
-
- emake -C cpp ${MAKE_RULES} || die "emake failed"
-
- if use doc ; then
- emake -C cpp/doc || die "building docs failed"
- fi
-
- if use python ; then
- building() {
- emake -C "${BUILD_DIR}" ${MAKE_RULES} || die "emake py-${EPYTHON} failed"
- }
- BUILD_DIR=python python_foreach_impl building
- fi
-
- if use ruby ; then
- emake -C ruby ${MAKE_RULES} ${MAKE_RULES_RB} || die "emake ruby failed"
- fi
-
- if use mono ; then
- emake -C csharp ${MAKE_RULES} ${MAKE_RULES_CS} || die "emake csharp failed"
- fi
-}
-
-src_install() {
- insinto /usr/share/${P}
- doins -r slice
-
- emake -C cpp ${MAKE_RULES} install || die "emake install failed"
-
- docinto cpp
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-cpp
- doins cpp/config/*.cfg
- doins -r cpp/demo/*
- fi
-
- if use doc ; then
- dohtml -r cpp/doc/reference/*
- dodoc "${DISTDIR}/${P}.pdf"
- fi
-
- if use python ; then
- installation() {
- mkdir -p "${D}/$(python_get_sitedir)" || die
-
- emake -C "${BUILD_DIR}" ${MAKE_RULES} \
- install_pythondir="\"${D}/$(python_get_sitedir)\"" \
- install_libdir="\"${D}/$(python_get_sitedir)\"" \
- install || die "emake py-${EPYTHON} install failed"
- }
- BUILD_DIR=python python_foreach_impl installation
-
- docinto python
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-py
- doins -r python/demo/*
- fi
- fi
-
- if use ruby ; then
- dodir "${SITERUBY}"
- emake -C ruby ${MAKE_RULES} ${MAKE_RULES_RB} install || die "emake ruby install failed"
-
- docinto ruby
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-rb
- doins -r ruby/demo/*
- fi
- fi
-
- if use mono ; then
- emake -C csharp ${MAKE_RULES} ${MAKE_RULES_CS} install || die "emake csharp install failed"
-
- # TODO: anyone has an idea what those are for?
- rm "${ED}"/usr/bin/*.xml
-
- docinto csharp
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-cs
- doins -r csharp/demo/*
- fi
- fi
-}
-
-run_tests() {
- # Run tests through the script interface since Python test runner
- # fails to exit with non-zero code for some reason.
-
- pushd "${1}" >/dev/null || die
- ./allTests.py --script | sh
- ret=${?}
- popd >/dev/null || die
-
- return ${ret}
-}
-
-src_test() {
- run_tests cpp || die "emake cpp test failed"
-
- if use python ; then
- testing() {
- # tests require that the directory is named 'python'
- run_tests python || die "emake py-${EPYTHON} test failed"
- }
- BUILD_DIR=python python_foreach_impl testing
- fi
-
- if use ruby ; then
- run_tests ruby || die "emake ruby test failed"
- fi
-
- if use mono ; then
- # skip mono tests, bug #498484
- ewarn "Tests for C# are currently disabled."
-# run_tests csharp || die "emake csharp test failed"
- fi
-}
diff --git a/dev-libs/Ice/Ice-3.6.3-r1.ebuild b/dev-libs/Ice/Ice-3.6.3-r1.ebuild
deleted file mode 100644
index 9f1a2e2..0000000
--- a/dev-libs/Ice/Ice-3.6.3-r1.ebuild
+++ /dev/null
@@ -1,282 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/Ice/Ice-3.5.1.ebuild,v 1.11 2015/04/08 17:51:56 mgorny Exp $
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 pypy )
-RUBY_OPTIONAL="yes"
-USE_RUBY="ruby19"
-
-inherit toolchain-funcs versionator python-r1 mono-env ruby-ng db-use
-
-DESCRIPTION="ICE middleware C++ library and generator tools"
-HOMEPAGE="http://www.zeroc.com/"
-SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~ia64 x86 ~x86-linux ~x64-macos"
-IUSE="doc examples +ncurses mono python ruby test debug c++0x"
-
-RDEPEND=">=dev-libs/expat-2.0.1
- >=app-arch/bzip2-1.0.5
- >=dev-libs/openssl-0.9.8o:0
- || (
- sys-libs/db:5.3[cxx]
- sys-libs/db:5.1[cxx]
- sys-libs/db:4.8[cxx]
- )
- ~dev-cpp/libmcpp-2.7.2
- python? ( ${PYTHON_DEPS} )
- ruby? ( $(ruby_implementation_depend ruby19) )
- mono? ( dev-lang/mono )
- !dev-python/IcePy
- !dev-ruby/IceRuby"
-DEPEND="${RDEPEND}
- ncurses? ( sys-libs/ncurses sys-libs/readline )
- test? ( ${PYTHON_DEPS} )"
-
-# Maintainer notes:
-# - yes, we have to do the trickery with the move for the python functions
-# since the build and test frameworks deduce various settings from the path
-# and they can't be tricked by a symlink. And we also need
-# SUPPORT_PYTHON_ABIS=1 otherwise we can't get pyc/pyo anymore the sane way.
-# TODO: php bindings
-# TODO: java bindings
-
-#overwrite ruby-ng.eclass default
-S="${P,,}"
-S="${WORKDIR}/${S/_/-}"
-
-pkg_setup() {
- # prevent ruby-ng.eclass from messing with src_unpack
- :;
-}
-
-src_unpack() {
- # prevent ruby-ng.eclass from messing with src_unpack
- default
- cd ${S}
- epatch ${FILESDIR}/dont-separate-c++11-libs.patch
- epatch ${FILESDIR}/dont-append-c++11-to-libs-3.6.3.patch
- epatch ${FILESDIR}/dont-append-32-to-bins.patch
-}
-
-src_prepare() {
- sed -i \
- -e 's|\(install_docdir[[:space:]]*\):=|\1?=|' \
- -e 's|\(install_configdir[[:space:]]*\):=|\1?=|' \
- cpp/config/Make.rules || die "sed failed"
-
- sed -i \
- -e 's|\(install_pythondir[[:space:]]*\):=|\1?=|' \
- -e 's|\(install_rubydir[[:space:]]*\):=|\1?=|' \
- -e 's|\(install_libdir[[:space:]]*\):=|\1?=|' \
- {python,ruby}/config/Make.rules || die "sed failed"
-
- sed -i \
- -e 's|-O2 ||g' \
- -e 's|-Werror ||g' \
- cpp/config/Make.rules.Linux || die "sed failed"
-
- sed -i \
- -e 's|install-common||' \
- -e 's|demo||' \
- {cpp,csharp,php,python,ruby}/Makefile || die "sed failed"
-
- sed -i \
- -e 's|-f -root|-f -gacdir $(GAC_DIR) -root|' \
- csharp/config/Make.rules.cs || die "sed failed"
-
- # skip mono tests, bug #498484
- sed -i \
- -e 's|\(SUBDIRS.*\) test|\1|' \
- csharp/Makefile || die "sed failed"
-
- if ! use test ; then
- sed -i \
- -e 's|\(SUBDIRS.*\) test|\1|' \
- {cpp,php,python,ruby}/Makefile || die "sed failed"
- fi
-}
-
-suitable_db_version() {
- local tested_slots="5.3 5.1 4.8"
- for ver in ${tested_slots}; do
- if [[ -n $(db_findver sys-libs/db:${ver}) ]]; then
- echo ${ver}
- return 0
- fi
- done
- die "No suitable BerkDB versions found, aborting"
-}
-
-src_configure() {
- MAKE_RULES="prefix=\"${ED}/usr\"
- install_docdir=\"${ED}/usr/share/doc/${PF}\"
- install_configdir=\"${ED}/usr/share/Ice-${PV}/config\"
- install_mandir=\"${ED}/usr/share/man\"
- embedded_runpath_prefix=\"${EPREFIX}/usr\""
-
- use ncurses && MAKE_RULES="${MAKE_RULES} USE_READLINE=yes" || MAKE_RULES="${MAKE_RULES} USE_READLINE=no"
- use debug && MAKE_RULES="${MAKE_RULES} OPTIMIZE=no" || MAKE_RULES="${MAKE_RULES} OPTIMIZE=yes"
- use c++0x && MAKE_RULES="${MAKE_RULES} CPP11=yes" || MAKE_RULES="${MAKE_RULES} CPP11=no"
- use amd64 && MAKE_RULES="${MAKE_RULES} LP64=yes"
-
- local BERKDB_VERSION="$(suitable_db_version)"
- MAKE_RULES="${MAKE_RULES} DB_FLAGS=-I$(db_includedir ${BERKDB_VERSION})"
- sed -i \
- -e "s|g++|$(tc-getCXX)|" \
- -e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
- -e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
- -e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
- -e "s|\(DB_LIBS[[:space:]]*=\) \-ldb_cxx|\1 -ldb_cxx-$(db_findver sys-libs/db:${BERKDB_VERSION})|" \
- cpp/config/Make.rules{,.Linux} python/config/Make.rules || die "sed failed"
-
- if use python ; then
- S=${S}/python python_copy_sources
-
- # make a place for the symlink
- rm -r python/python || die
- fi
-
- if use ruby ; then
- SITERUBY="$(ruby19 -r rbconfig -e 'print Config::CONFIG["sitedir"]')"
- MAKE_RULES_RB="install_rubydir=\"${ED}/${SITERUBY}\"
- install_libdir=\"${ED}/${SITERUBY}\""
-
- # make it use ruby19 only
- sed -i \
- -e 's|RUBY = ruby|\019|' \
- ruby/config/Make.rules || die "sed failed"
- fi
-
- MAKE_RULES_CS="GACINSTALL=yes GAC_ROOT=\"${ED}/usr/$(get_libdir)\" GAC_DIR=${EPREFIX}/usr/$(get_libdir)"
-
- use test && python_export_best
-}
-
-src_compile() {
- # Do not remove this export or build will break!
- tc-export CXX
-
- emake -C cpp ${MAKE_RULES} || die "emake failed"
-
- if use doc ; then
- emake -C cpp/doc || die "building docs failed"
- fi
-
- if use python ; then
- building() {
- emake -C "${BUILD_DIR}" ${MAKE_RULES} || die "emake py-${EPYTHON} failed"
- }
- BUILD_DIR=python python_foreach_impl building
- fi
-
- if use ruby ; then
- emake -C ruby ${MAKE_RULES} ${MAKE_RULES_RB} || die "emake ruby failed"
- fi
-
- if use mono ; then
- emake -C csharp ${MAKE_RULES} ${MAKE_RULES_CS} || die "emake csharp failed"
- fi
-}
-
-src_install() {
- insinto /usr/share/${P}
- doins -r slice
-
- emake -C cpp ${MAKE_RULES} install || die "emake install failed"
-
- docinto cpp
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-cpp
- doins cpp/config/*.cfg
- doins -r cpp/demo/*
- fi
-
- if use doc ; then
- dohtml -r cpp/doc/reference/*
- dodoc "${DISTDIR}/${P}.pdf"
- fi
-
- if use python ; then
- installation() {
- mkdir -p "${D}/$(python_get_sitedir)" || die
-
- emake -C "${BUILD_DIR}" ${MAKE_RULES} \
- install_pythondir="\"${D}/$(python_get_sitedir)\"" \
- install_libdir="\"${D}/$(python_get_sitedir)\"" \
- install || die "emake py-${EPYTHON} install failed"
- }
- BUILD_DIR=python python_foreach_impl installation
-
- docinto python
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-py
- doins -r python/demo/*
- fi
- fi
-
- if use ruby ; then
- dodir "${SITERUBY}"
- emake -C ruby ${MAKE_RULES} ${MAKE_RULES_RB} install || die "emake ruby install failed"
-
- docinto ruby
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-rb
- doins -r ruby/demo/*
- fi
- fi
-
- if use mono ; then
- emake -C csharp ${MAKE_RULES} ${MAKE_RULES_CS} install || die "emake csharp install failed"
-
- # TODO: anyone has an idea what those are for?
- rm "${ED}"/usr/bin/*.xml
-
- docinto csharp
-
- if use examples ; then
- insinto /usr/share/doc/${PF}/examples-cs
- doins -r csharp/demo/*
- fi
- fi
-}
-
-run_tests() {
- # Run tests through the script interface since Python test runner
- # fails to exit with non-zero code for some reason.
-
- pushd "${1}" >/dev/null || die
- ./allTests.py --script | sh
- ret=${?}
- popd >/dev/null || die
-
- return ${ret}
-}
-
-src_test() {
- run_tests cpp || die "emake cpp test failed"
-
- if use python ; then
- testing() {
- # tests require that the directory is named 'python'
- run_tests python || die "emake py-${EPYTHON} test failed"
- }
- BUILD_DIR=python python_foreach_impl testing
- fi
-
- if use ruby ; then
- run_tests ruby || die "emake ruby test failed"
- fi
-
- if use mono ; then
- # skip mono tests, bug #498484
- ewarn "Tests for C# are currently disabled."
-# run_tests csharp || die "emake csharp test failed"
- fi
-}
diff --git a/dev-libs/Ice/Ice-3.6.3-r2.ebuild b/dev-libs/Ice/Ice-3.6.3-r2.ebuild
new file mode 100644
index 0000000..a21ac07
--- /dev/null
+++ b/dev-libs/Ice/Ice-3.6.3-r2.ebuild
@@ -0,0 +1,349 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+
+RUBY_OPTIONAL="yes"
+USE_RUBY="ruby22"
+
+PHP_EXT_NAME="IcePHP"
+PHP_EXT_INI="yes"
+PHP_EXT_ZENDEXT="no"
+
+PHP_EXT_OPTIONAL_USE=php
+
+USE_PHP="php7-0"
+
+inherit db-use eutils mono-env php-ext-source-r2 python-r1 ruby-ng toolchain-funcs versionator
+
+DESCRIPTION="ICE middleware C++ library and generator tools"
+HOMEPAGE="http://www.zeroc.com/"
+SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ doc? ( http://download.zeroc.com/Ice/$(get_version_component_range 1-2)/${P}.pdf )"
+LICENSE="GPL-2"
+SLOT="0/36"
+KEYWORDS="amd64 x86"
+IUSE="doc examples libressl +ncurses mono php python ruby c++0x test debug"
+
+RDEPEND=">=dev-libs/expat-2.0.1
+ >=app-arch/bzip2-1.0.5
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ || (
+ sys-libs/db:5.3[cxx]
+ sys-libs/db:5.1[cxx]
+ )
+ dev-cpp/libmcpp
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( $(ruby_implementation_depend ruby22) )
+ mono? ( dev-lang/mono )
+ php? ( dev-lang/php:7.0 )
+ !dev-python/IcePy
+ !dev-ruby/IceRuby"
+DEPEND="${RDEPEND}
+ ncurses? ( sys-libs/ncurses:0= sys-libs/readline:0= )
+ test? (
+ ${PYTHON_DEPS}
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )"
+
+# Maintainer notes:
+# TODO: java bindings, multiple ruby versions (supports 2.{1,2,3})
+
+S="${WORKDIR}/${P/I/i}"
+PHP_EXT_S="${S}/php"
+
+PATCHES=(
+ "${FILESDIR}/${P}-no-arch-opts.patch"
+ "${FILESDIR}/${P}-csharp.patch"
+ "${FILESDIR}/${P}-dont-append-c++11-to-libs.patch"
+ "${FILESDIR}/${P}-dont-separate-c++11-libs.patch"
+)
+
+pkg_setup() {
+ # prevent ruby-ng.eclass from messing with pkg_setup
+ return
+}
+
+src_unpack() {
+ # prevent ruby-ng.eclass from messing with src_unpack
+ default
+}
+
+src_prepare() {
+ epatch -p1 "${PATCHES[@]}"
+
+ sed -i \
+ -e 's|\(install_configdir[[:space:]]*\):=|\1?=|' \
+ -e 's|-L\$\(libdir\)||' \
+ cpp/config/Make.rules || die "sed failed"
+
+ sed -i \
+ -e 's|\(install_phpdir[[:space:]]*\):=|\1?=|' \
+ -e 's|\(install_libdir[[:space:]]*\):=|\1?=|' \
+ php/config/Make.rules.php || die "sed failed"
+
+ sed -i \
+ -e 's|\(install_pythondir[[:space:]]*\)=|\1?=|' \
+ -e 's|\(install_rubydir[[:space:]]*\)=|\1?=|' \
+ -e 's|\(install_libdir[[:space:]]*\):=|\1?=|' \
+ {python,ruby}/config/Make.rules || die "sed failed"
+
+ sed -i \
+ -e 's|-O2 ||g' \
+ -e 's|-Werror ||g' \
+ cpp/config/Make.rules.Linux || die "sed failed"
+
+ sed -i \
+ -e 's|install-common||' \
+ {cpp,csharp,php,python,ruby}/Makefile || die "sed failed"
+
+ sed -i \
+ -e 's|-f -root|-f -gacdir $(GAC_DIR) -root|' \
+ -e 's|\(install_libdir[[:space:]]*\):=|\1?=|' \
+ -e 's|\(install_pkgconfigdir[[:space:]]*\):=|\1?=|' \
+ csharp/config/Make.rules.cs || die "sed failed"
+
+ # skip mono tests, bug #498484
+ sed -i \
+ -e '/SUBDIRS/s|\ test||' \
+ csharp/Makefile || die "sed failed"
+
+ # IceUtil/stacktrace fails with USE=debug
+ # skip udp test due to multicast
+ # skip IceSSL tests due to requirement of internet connection
+ # IceStorm/stress fails without USE=debug
+ sed -i \
+ -e 's|allTests.py|allTests.py --rfilter=IceUtil\/stacktrace --rfilter=udp --rfilter=IceSSL --rfilter=IceStorm\/stress|' \
+ cpp/Makefile || die "sed failed"
+
+ # mainly broken .ice files
+ sed -i \
+ -e 's|allTests.py|allTests.py --rfilter=operations --rfilter=slicing\/objects|' \
+ python/Makefile || die "sed failed"
+
+ # fails even on unicode locale
+ sed -i \
+ -e 's|allTests.py|allTests.py --rfilter=Slice\/unicodePaths|' \
+ ruby/Makefile || die "sed failed"
+}
+
+src_configure() {
+ suitable_db_version() {
+ local ver tested_slots=(5.3 5.1)
+ for ver in "${tested_slots[@]}"; do
+ if [[ -n $(db_findver sys-libs/db:${ver}) ]]; then
+ echo "${ver}"
+ return 0
+ fi
+ done
+ die "No suitable BerkDB versions found, aborting"
+ }
+
+ MAKE_RULES=(
+ "prefix=\"${ED%/}/usr\""
+ "install_docdir=\"${ED%/}/usr/share/doc/${PF}\""
+ "install_configdir=\"${ED%/}/usr/share/${P}/config\""
+ "install_mandir=\"${ED%/}/usr/share/man\""
+ "embedded_runpath_prefix=\"${EPREFIX}/usr\""
+ "LP64=yes"
+ "new_dtags=yes"
+ "NOTEST=$(usex !test)"
+ "USE_READLINE=$(usex ncurses)"
+ "OPTIMIZE=$(usex !debug)"
+ "CPP11=$(usex c++0x)"
+ )
+
+ local BERKDB_VERSION="$(suitable_db_version)"
+ MAKE_RULES+=("DB_FLAGS=-I$(db_includedir ${BERKDB_VERSION})")
+ sed -i \
+ -e "s|g++|$(tc-getCXX)|" \
+ -e "s|\(CFLAGS[[:space:]]*=\)|\1 ${CFLAGS}|" \
+ -e "s|\(CXXFLAGS[[:space:]]*=\)|\1 ${CXXFLAGS}|" \
+ -e "s|\(LDFLAGS[[:space:]]*=\)|\1 ${LDFLAGS}|" \
+ -e "s|\(DB_LIBS[[:space:]]*=\) \-ldb_cxx|\1 -ldb_cxx-$(db_findver sys-libs/db:${BERKDB_VERSION})|" \
+ cpp/config/Make.rules{,.Linux} python/config/Make.rules || die "sed failed"
+
+ if use python; then
+ local S="${S}/python"
+ python_copy_sources
+ fi
+
+ if use ruby; then
+ SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG[\"sitelibdir\"]')"
+ MAKE_RULES_RUBY=(
+ "install_rubydir=\"${ED%/}/${SITERUBY}\""
+ "install_libdir=\"${ED%/}/${SITERUBY}\""
+ )
+
+ # make it use ruby22 only
+ sed -i \
+ -e 's|RUBY = ruby|\022|' \
+ ruby/config/Make.rules || die "sed failed"
+ sed -i \
+ -e 's|env ruby|\022|' \
+ ruby/config/s2rb.rb || die "sed failed"
+ sed -i \
+ -e 's|env ruby|\022|' \
+ ruby/scripts/slice2rb || die "sed failed"
+ sed -i \
+ -e 's|output.write("ruby|\022|' \
+ scripts/TestUtil.py || die "sed failed"
+ fi
+
+ MAKE_RULES_MONO=(
+ "GACINSTALL=yes"
+ "GAC_ROOT=\"${ED%/}/usr/$(get_libdir)\""
+ "GAC_DIR=\"${EPREFIX}/usr/$(get_libdir)\""
+ "install_libdir=\"${ED%/}/usr/$(get_libdir)\""
+ "install_pkgconfigdir=\"${ED%/}/usr/$(get_libdir)/pkgconfig\""
+ )
+
+ if has_version ">dev-lang/mono-4"; then
+ MAKE_RULES_MONO+=("MCS=mcs")
+ fi
+
+ use test && python_setup
+}
+
+src_compile() {
+ # Do not remove this export or build will break!
+ tc-export CXX
+
+ emake -C cpp "${MAKE_RULES[@]}"
+
+ if use php; then
+ local i
+ for i in $(php_get_slots); do
+ mkdir -p "${WORKDIR}/${i}" || die
+ cp -r "${PHP_EXT_S}" "${WORKDIR}/${i}/" || die "Failed to copy source ${PHP_EXT_S} to PHP target directory"
+
+ pushd "${WORKDIR}/${i}" >/dev/null || die
+ ln -s "${S}/cpp" || die
+ ln -s "${S}/config" || die
+ ln -s "${S}/slice" || die
+ ln -s "${S}/Makefile" || die
+
+ emake -C php "${MAKE_RULES[@]}" USE_NAMESPACES=yes "PHP_CONFIG=\"${EPREFIX}/usr/$(get_libdir)/${i}/bin/php-config\""
+ popd >/dev/null || die
+ done
+ fi
+
+ if use python; then
+ building() {
+ emake -C "${BUILD_DIR}" "${MAKE_RULES[@]}" PYTHON="${EPYTHON}"
+ }
+ local S="${S}/python"
+ python_foreach_impl building
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}"
+ fi
+
+ if use mono; then
+ emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}"
+ fi
+}
+
+src_test() {
+ local -x LD_LIBRARY_PATH="${S}/cpp/$(get_libdir)${LD_LIBRARY_PATH+:}${LD_LIBRARY_PATH}"
+ emake -C cpp "${MAKE_RULES[@]}" test
+
+ # php tests require the extension loaded and are therefore skipped
+
+ if use python; then
+ testing() {
+ emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ PYTHON="${EPYTHON}" \
+ install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
+ install_libdir="\"${D%/}/$(python_get_sitedir)\"" test
+ }
+ local S="${S}/python"
+ python_foreach_impl testing
+ fi
+
+ if use ruby; then
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" test
+ fi
+
+ if use mono; then
+ # skip mono tests, bug #498484
+ ewarn "Tests for C# are currently disabled."
+ #emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" test
+ fi
+}
+
+src_install() {
+ local DOCS=( CHANGELOG*.md README.md )
+ use doc && DOCS+=( "${DISTDIR}/${P}.pdf" )
+ einstalldocs
+
+ insinto /usr/share/${P}
+ doins -r slice
+
+ emake -C cpp "${MAKE_RULES[@]}" install
+
+ if use examples; then
+ docinto examples-cpp
+ dodoc cpp/config/*.cfg
+ docompress -x /usr/share/doc/${PF}/examples-cpp
+ fi
+
+ if use php; then
+ insinto "/usr/share/php/${PN}"
+
+ local i
+ while IFS="" read -d $'\0' -r i; do
+ doins "${i}"
+ done < <(find "${S}/php/lib/" -name '*.php' -print0)
+
+ pushd "${ED%/}/usr/share/${P}/slice" >/dev/null || die
+
+ local -x LD_LIBRARY_PATH="${ED%/}/usr/$(get_libdir):${LD_LIBRARY_PATH}"
+ for i in *; do
+ mkdir -p "${ED%/}/usr/share/php/${i}" || die
+ "${ED%/}"/usr/bin/slice2php \
+ -I"${ED%/}/usr/share/${P}/slice/" --all \
+ --output-dir "${ED%/}/usr/share/php/${i}" \
+ --ice "${ED%/}/usr/share/${P}/slice/${i}"/*
+ done
+
+ for i in $(php_get_slots); do
+ php_init_slot_env "${i}"
+ insinto "${EXT_DIR}"
+ newins "php/lib/${PHP_EXT_NAME}.so" "${PHP_EXT_NAME}.so"
+ done
+ php-ext-source-r2_createinifiles
+
+ popd >/dev/null || die
+ fi
+
+ if use python; then
+ installation() {
+ mkdir -p "${D%/}/$(python_get_sitedir)" || die
+
+ emake -C "${BUILD_DIR}" \
+ "${MAKE_RULES[@]}" \
+ install_pythondir="\"${D%/}/$(python_get_sitedir)\"" \
+ install_libdir="\"${D%/}/$(python_get_sitedir)\"" \
+ install
+ }
+ local S="${S}/python"
+ python_foreach_impl installation
+ fi
+
+ if use ruby; then
+ dodir "${SITERUBY}"
+ emake -C ruby "${MAKE_RULES[@]}" "${MAKE_RULES_RUBY[@]}" install
+ fi
+
+ if use mono; then
+ emake -C csharp "${MAKE_RULES[@]}" "${MAKE_RULES_MONO[@]}" install
+ fi
+}
+
diff --git a/dev-libs/Ice/Manifest b/dev-libs/Ice/Manifest
index cad9247..ba652b8 100644
--- a/dev-libs/Ice/Manifest
+++ b/dev-libs/Ice/Manifest
@@ -1,8 +1,7 @@
-AUX dont-append-32-to-bins.patch 468 SHA256 0359f08d7a68ed18a29ea1d36be10e2587db22ad5c72fbe37ef749cdfbd1f3b5 SHA512 5730eb883cf2ed4d22fa64f45d78c5535ac357bd5c6fce1b1f66a98afe56ab95908ca7d4e35165078123151a594c3a4e924908801388c8a93d8b0fa2a0d9b657 WHIRLPOOL e96d4f65980668efe3b05c78d387ee8bb326b8157a918f7e7a59f8063b3cd70f037ca26bec10c8fa8552ec4f32d2d90e8a898838a51b74ed5fb1bf8356f064e6
-AUX dont-append-c++11-to-libs-3.6.3.patch 353 SHA256 d0413eaacf5f5916eba42d5b05e227814c2b8fdf3a77ec62602da6cfe6c40bb0 SHA512 27a9906ac7689bd457119eb937b255755fec34e32fca2ebfec13e951bce1e9c8bd1135e6158a9bca1a64a55e9a43847d54fee7a302fb0db6c410726a1a345cec WHIRLPOOL b7f487a8153b2e132bef4d9db1ecf525798a70078bac35ce227317485d3317f62326d7f66b41d12ed3e8e55585de9405d1ca5bfa5a8c7be788504de84bbd1255
-AUX dont-append-c++11-to-libs.patch 581 SHA256 8a535e9b7a88f37c13c6f68c935d8f48d996971d6189aa57652ceffc984813b2 SHA512 c542d969dba35eb976ef1a0293fe00597f06db48f2b31a44575beb3961e2d161affa5837ac2003a9db2b59055db4c2db4a28eb989e15224cc56e80e00b8bf68c WHIRLPOOL 4c06a08f71c0c7ecf629a37ac7081220ef148b7d9fd69abe0ecf112ba449e9b84e031611e48502884172570f4f75f14ba9164ceb61df617006c8aacf48a9d7c4
-AUX dont-separate-c++11-libs.patch 537 SHA256 acd69d499f13c743b64113c471e68d0029a9b65c5b032c5cc74f0823e8c9dfeb SHA512 deb33b6819f231a4219e744dc11772ac792b05f41cd887ea00eb92471596563b7cd83973f5013bf0d685be0da77e3d3b6d83012dd08d452a1417b53eb83f0bb2 WHIRLPOOL 3319be0874db00ec4d4cc9d480276e71b0452bd1e652ebcfc6d531a03cdfdb84a9efbb35450a732ea2d39b615d0059d303f73c6ecb423ce6ecfcf4d0e47b6439
-DIST Ice-3.6.2.tar.gz 5393239 SHA256 5e9305a5eb6081c8f128d63a5546158594e9f115174fc91208f645dbe2fc02fe SHA512 fb6b70edd551c66ba801a3a0af0d9101206e771e607e2feffa53fdac95215837bedce2f44251f04d1915c02130b1341daf96d3357b13e4b59d4fae01c14d8e5f WHIRLPOOL 84d4991d8d4379242dcdf0ec0b60242c4a72579ce462a40d107a61088deddb7aa703b8a4f342f7c30e8cd35371471ec9e7592fc94132e4917815f111d4ec77a9
+AUX Ice-3.6.3-csharp.patch 1573 SHA256 2cc8947dbe76a8e89216a82a8a305123120c5115cf7ddff3325c69d0bce4fc8a SHA512 62741327524cea96652179811c0591ed7e75b75a27623cb24fe2e55c47150692d862aa78039ed82a081236273163015d4b7e56817ac13ccd63ca1042e641704f WHIRLPOOL 0f15fe33b78f8f61a156eb197dab3c4cf812bcec4f68ba3bce54ba8a4ecc20617450bccf86bdaa34a9ea7186c15620face1bbd866790f7764c377769c9dc30da
+AUX Ice-3.6.3-dont-append-c++11-to-libs.patch 373 SHA256 33b841aba379a1077b48b0e851bf175b34815f08d83f31228ed5fa32119b54d7 SHA512 fc4ec14c1ea9ec032b530afffc9d079f7ce3596d9d69cfe4aacf5fdc7429ee508fead314ecc1aed28839696df56a8488aa8b4161540a125bd2c9a2088765af0d WHIRLPOOL ae6361ff1450e549604009c96c1261f95b6e317b1a4ee1bc672d3cf49af64e052ce0aee6beb37094a8482a69615d115a0fd924c921ae38eeb69e0f528b608d59
+AUX Ice-3.6.3-dont-separate-c++11-libs.patch 557 SHA256 bbb4d0162649c7df642d2a66e3b5bee88e896745642e9b35d23399cec12650a0 SHA512 44fc28e81a7ffde8e48f5b0fbaaba38e695bab749a7f0533a52816b088011641a341ed7d67fb439da0751b29e9f91fb17e54027c576b48a73e6208bee6d4f0b1 WHIRLPOOL e835c4da465973364735618488cfda8df70be95e92a044da047443ab66875e010b5b79dfa1433f44f57b696d3597367fc15797c3b33a556b33b9cdf51deff7d4
+AUX Ice-3.6.3-no-arch-opts.patch 1462 SHA256 e84911ad11b435e559f0e3cd5d294fce1543c0237943641923d1c1303c796953 SHA512 236abce89a7bcf64d6a12db5a82d62db1effa2b5a105ae7c83910f02ca1ccd610193097a2c959d2a487f0d641af70ba8013bcfe570e2af40976d9a1017272e6e WHIRLPOOL 76899080b3965d01ff0c063ca72f17a609d34a7b60e750049932dcbad6b19a15e48d538b6b0ef1ac8a17bb387646f48f9cd0d1f7e8f40462b94681640a3a91d2
+DIST Ice-3.6.3.pdf 8844957 SHA256 bf6edd649d44dcac1951d7d62b112fb535b8f29f58973cfdcd5cabf8940bb3b9 SHA512 44638a315b0da9c26519c053c48ab8ee216c43410f53844465535a972ae01031f1603769e9b3169fdf9358de67e0d0c7e238b2918b5d5b1c4cb95cb922fa922a WHIRLPOOL 65087b4c643e2c7f2cf66b3b9fb433823f75c8b5a44b838d39077f2dab85c57ff4e022931ec8ba21cbc6deda2e55257f6c0d2d0a360d50e9b1a615253ad7ed0a
DIST Ice-3.6.3.tar.gz 5512741 SHA256 82ff74e6d24d9fa396dbb4d9697dc183b17bc9c3f6f076fecdc05632be80a2dc SHA512 6e17d21f55a8504af87a64c498a0c4d2084ed96a85c7a66d00319324774f671ace6afa03108d8d4e9bedf5fcfc2f3dba247949a27deecacdd0d298bd0bfe0a45 WHIRLPOOL 4e2d50aaf62f805a0c5471ab907c7680607de5fe101c96a740a3bc1b8ddc7ea93d768ba5886b26772647eb173417195bd808399192b2d2c7d5adb40cf38fc95f
-EBUILD Ice-3.6.2.ebuild 7354 SHA256 9e7862faabdf2032560eed8afe9c19a97665dcdc82b673b1db30177732d01878 SHA512 a38bf3ac252179457c09825edcb20602df7e1f4a144263778317eb3cdd2109e9c3d9b2c33ad4348d426fde141b7442137cce8a5bf1ab31683aa3c4f47de0ff28 WHIRLPOOL bef9a08204a1625c90a8d55719ee875f74bcb1bca961ed7d31c58459bc325fb1349dbe17c59c45248efea8fd0e3647e22eb6d4f1fe2e0e9297099058855a3a37
-EBUILD Ice-3.6.3-r1.ebuild 7448 SHA256 e890174d8ab9095cbfafdf5116eec3bf7625958397b1e803cc4947cce801611b SHA512 709cf3e6b307fb8924e791c2a2e1f60008f4b5f732e94df0ef5336bbd0534207217fd2d9a26597ecf4fb9322f070faa0ae51e434c169cd67789f0edacde088ce WHIRLPOOL c46ec28e0557f6f4173889f892d2fd19e7143ba18c7b4eb19640ffc46d155abd2bd3edd93550a81eef530f55d405c24890c593e4b09541741e5ce0ac59bef394
+EBUILD Ice-3.6.3-r2.ebuild 9072 SHA256 57791196aa8ee25906b9d9363f35b986c32128971023742e8540a6886f7a530c SHA512 1ec2bf4706e7e621efa0de33032b933053d8fee4a0d82b3cfebb3fcde93347ed808d7fb63ea6d4eaf5121db4ebc272e9e6b13b49f1a431f6d51ffcd4ad75e16c WHIRLPOOL 953a99c4afbba7d575411d230446c4b9cf1459022772ec3a465edb52f52c5a9f3790dd7d8f3ba4e33a8d99e8dc2a46815e55ebe2c28ab2666257100d73d5385a
diff --git a/dev-libs/Ice/files/Ice-3.6.3-csharp.patch b/dev-libs/Ice/files/Ice-3.6.3-csharp.patch
new file mode 100644
index 0000000..e9dce11
--- /dev/null
+++ b/dev-libs/Ice/files/Ice-3.6.3-csharp.patch
@@ -0,0 +1,50 @@
+--- ice-3.6.3/csharp/src/Makefile~ 2015-06-23 17:30:20.000000000 +0200
++++ ice-3.6.3/csharp/src/Makefile 2015-06-27 20:07:04.217188211 +0200
+@@ -11,7 +11,7 @@
+
+ include $(top_srcdir)/config/Make.rules.cs
+
+-SUBDIRS = Ice IceStorm Glacier2 IcePatch2 IceGrid IceBox IceDiscovery IceLocatorDiscovery
++SUBDIRS = Ice IceStorm Glacier2 IcePatch2 IceGrid IceBox IceSSL IceDiscovery IceLocatorDiscovery
+
+ $(EVERYTHING)::
+ @for subdir in $(SUBDIRS); \
+--- /dev/null 2015-06-27 16:44:15.733558105 +0200
++++ ice-3.6.3/csharp/lib/pkgconfig/IceSSL.pc 2015-06-27 20:19:30.731894653 +0200
+@@ -0,0 +1,10 @@
++version = 3.6.3
++mono_root = /usr
++
++name = IceSSL
++
++Name: ${name}
++Description: IceSSL run-time support
++Version: ${version}
++Libs: -r:${mono_root}/lib/mono/${name}/${name}.dll
++Requires: Ice = ${version}
+--- /dev/null 2015-06-27 16:44:15.733558105 +0200
++++ ice-3.6.3/csharp/lib/pkgconfig/IceDiscovery.pc 2015-06-27 20:20:44.312515987 +0200
+@@ -0,0 +1,10 @@
++version = 3.6.3
++mono_root = /usr
++
++name = IceDiscovery
++
++Name: ${name}
++Description: IceDiscovery run-time support
++Version: ${version}
++Libs: -r:${mono_root}/lib/mono/${name}/${name}.dll
++Requires: Ice = ${version}
+--- /dev/null 2015-06-27 16:44:15.733558105 +0200
++++ ice-3.6.3/csharp/lib/pkgconfig/IceLocatorDiscovery.pc 2015-06-27 20:21:22.206185123 +0200
+@@ -0,0 +1,10 @@
++version = 3.6.3
++mono_root = /usr
++
++name = IceLocatorDiscovery
++
++Name: ${name}
++Description: IceLocatorDiscovery run-time support
++Version: ${version}
++Libs: -r:${mono_root}/lib/mono/${name}/${name}.dll
++Requires: Ice = ${version}
diff --git a/dev-libs/Ice/files/dont-append-c++11-to-libs-3.6.3.patch b/dev-libs/Ice/files/Ice-3.6.3-dont-append-c++11-to-libs.patch
index 6a469a4..c0133ea 100644
--- a/dev-libs/Ice/files/dont-append-c++11-to-libs-3.6.3.patch
+++ b/dev-libs/Ice/files/Ice-3.6.3-dont-append-c++11-to-libs.patch
@@ -1,7 +1,7 @@
diff --git cpp/src/Ice/DynamicLibrary.cpp cpp/src/Ice/DynamicLibrary.cpp
index d70e14b..721832b 100644
---- cpp/src/Ice/DynamicLibrary.cpp
-+++ cpp/src/Ice/DynamicLibrary.cpp
+--- ice-3.6.3/cpp/src/Ice/DynamicLibrary.cpp
++++ ice-3.6.3/cpp/src/Ice/DynamicLibrary.cpp
@@ -16,7 +16,6 @@
#endif
diff --git a/dev-libs/Ice/files/dont-separate-c++11-libs.patch b/dev-libs/Ice/files/Ice-3.6.3-dont-separate-c++11-libs.patch
index 4c02df0..2b30a21 100644
--- a/dev-libs/Ice/files/dont-separate-c++11-libs.patch
+++ b/dev-libs/Ice/files/Ice-3.6.3-dont-separate-c++11-libs.patch
@@ -1,5 +1,5 @@
---- config/Make.common.rules 2015-06-23 16:30:20.000000000 +0100
-+++ config/Make.common.rules 2015-07-04 17:45:58.061422073 +0100
+--- ice-3.6.3/config/Make.common.rules 2015-06-23 16:30:20.000000000 +0100
++++ ice-3.6.3/config/Make.common.rules 2015-07-04 17:45:58.061422073 +0100
@@ -115,15 +115,6 @@
lp32suffix = /i386-linux-gnu
endif
diff --git a/dev-libs/Ice/files/Ice-3.6.3-no-arch-opts.patch b/dev-libs/Ice/files/Ice-3.6.3-no-arch-opts.patch
new file mode 100644
index 0000000..149a31e
--- /dev/null
+++ b/dev-libs/Ice/files/Ice-3.6.3-no-arch-opts.patch
@@ -0,0 +1,50 @@
+--- ice-3.6.3/cpp/config/Make.rules.Linux~ 2015-06-27 16:56:56.000000000 +0200
++++ ice-3.6.3/cpp/config/Make.rules.Linux 2015-06-27 17:23:45.810591931 +0200
+@@ -79,19 +79,6 @@
+ CXXARCHFLAGS += -mtune=v8 -pipe -Wno-deprecated -DICE_USE_MUTEX_SHARED
+ endif
+
+- #
+- # Only use multilib -m32/-m64 options for amd64 arch, x32 arch can also run
+- # in amd64 macines but doesn't use multilib, in this case MACHINE_TYPE will
+- # be x86_64 and HOST_ARCH x32.
+- #
+- ifeq ($(HOST_ARCH),amd64)
+- ifeq ($(LP64),yes)
+- CXXARCHFLAGS += -m64
+- else
+- CXXARCHFLAGS += -m32
+- endif
+- endif
+-
+ CXXFLAGS += $(CXXARCHFLAGS) -fvisibility=hidden -Wall -Werror -pthread
+
+ # If MAXWARN is set then enable extra warnings
+--- ice-3.6.3/config/Make.common.rules~ 2015-06-23 17:30:20.000000000 +0200
++++ ice-3.6.3/config/Make.common.rules 2015-06-28 01:53:57.149666595 +0200
+@@ -101,25 +101,7 @@
+ ifeq ($(LP64),)
+ LP64 = yes
+ endif
+-
+- #
+- # x86 binaries build on x86_64 machine use 32 binsuffix
+- #
+- ifneq ($(STATICLIBS),yes)
+- ifneq ($(LP64),yes)
+- binsuffix = 32
+- endif
+- endif
+ endif
+-
+- #
+- # x86 builds uses 32 binsuffix
+- #
+- ifneq ($(STATICLIBS),yes)
+- ifeq ($(findstring $(MACHINE_TYPE),i386 i486 i586 i686),$(MACHINE_TYPE))
+- binsuffix = 32
+- endif
+- endif
+ endif
+
+ ifeq ($(CPP11),yes)
diff --git a/dev-libs/Ice/files/dont-append-32-to-bins.patch b/dev-libs/Ice/files/dont-append-32-to-bins.patch
deleted file mode 100644
index 88744ed..0000000
--- a/dev-libs/Ice/files/dont-append-32-to-bins.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-diff --git a/config/Make.common.rules b/config/Make.common.rules
-index d21f1cd..66bbda9 100644
---- a/config/Make.common.rules
-+++ b/config/Make.common.rules
-@@ -111,15 +111,6 @@ ifeq ($(UNAME),Linux)
- endif
- endif
- endif
--
-- #
-- # x86 builds uses 32 binsuffix
-- #
-- ifneq ($(STATICLIBS),yes)
-- ifeq ($(findstring $(MACHINE_TYPE),i386 i486 i586 i686),$(MACHINE_TYPE))
-- binsuffix = 32
-- endif
-- endif
- endif
-
- ifeq ($(CPP11),yes)
diff --git a/dev-libs/Ice/files/dont-append-c++11-to-libs.patch b/dev-libs/Ice/files/dont-append-c++11-to-libs.patch
deleted file mode 100644
index 41b3a01..0000000
--- a/dev-libs/Ice/files/dont-append-c++11-to-libs.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- cpp/src/Ice/DynamicLibrary.cpp
-+++ cpp/src/Ice/DynamicLibrary.cpp
-@@ -89,9 +89,6 @@
- if(comma == string::npos)
- {
- libName = libSpec;
--# if defined(ICE_CPP11) && defined(__GLIBCXX__)
-- libName += "++11";
--# endif
- if(useIceVersion)
- {
- int majorVersion = (ICE_INT_VERSION / 10000);
-@@ -119,9 +116,6 @@
- return 0;
- }
- libName = libSpec.substr(0, comma);
--# if defined(ICE_CPP11) && defined(__GLIBCXX__)
-- libName += "++11";
--# endif
- version = libSpec.substr(comma + 1);
- }
-